Bug 1123333 - Rename and upgrade request(5.x)
Summary: Rename and upgrade request(5.x)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pion-net
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 10:51 UTC by Christopher Meng
Modified: 2015-07-28 23:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-28 23:42:14 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-07-25 10:51:19 UTC
Hi,

It would be helpful to update this package to 5.0.6 in f21+.

New upstream URL: http://sourceforge.net/projects/pion/

And its name is pion, I don't know why it's named pion-net?

Thanks.

-------
PS. I'm unbundling a package which depends on the 5.x.

Comment 1 Christopher Meng 2014-07-25 10:53:34 UTC
A Debian lad just told me that they've renamed it from pion-net to pion.

I think it's OK to do this.

Comment 2 Jaroslav Reznik 2015-03-03 16:09:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Adam Williamson 2015-07-28 21:20:29 UTC
There used to be some kind of idea of distinguishing between different pion-foo sub-components, but it seems to have been abandoned in recent years. The library used to identify itself as pion-net, now it's just pion.

I'm updating the package to 5.x as part of the Boost 1.58 rebuild - if we're going to have it, it may as well be up to date - but I'm not renaming it, because rename reviews are an arsing pain.

Comment 4 Adam Williamson 2015-07-28 23:42:14 UTC
I've bumped to 5.0.7 for Rawhide and F23 (the builds are part of the boost 1.58 rebuild so will land when that gets tagged). Didn't rename, though.


Note You need to log in before you can comment on or make changes to this bug.